# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83"
name = "mdcat"
version = "2.9.0"
authors = ["Sebastian Wiesner <sebastian@swsnr.de>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "cat for markdown: Show markdown documents in terminals"
homepage = "https://github.com/swsnr/mdcat"
documentation = "https://docs.rs/mdcat"
readme = "README.md"
keywords = [
    "markdown",
    "less",
    "cat",
]
categories = [
    "command-line-utilities",
    "text-processing",
]
license = "MPL-2.0 AND Apache-2.0"
repository = "https://github.com/swsnr/mdcat"

[package.metadata.release]
release = true

[[package.metadata.release.pre-release-replacements]]
file = "mdcat.1.adoc"
search = "(?m)^:revnumber:.*$"
replace = ":revnumber: {{version}}"

[[package.metadata.release.pre-release-replacements]]
file = "mdcat.1.adoc"
search = "(?m)^:revdate:.*$"
replace = ":revdate: {{date}}"

[[package.metadata.release.pre-release-replacements]]
file = "CHANGELOG.md"
search = '## \[Unreleased\]'
replace = """
## [Unreleased]

## [{{version}}] – {{date}}"""
exactly = 1

[[package.metadata.release.pre-release-replacements]]
file = "CHANGELOG.md"
search = "HEAD"
replace = "{{tag_name}}"
exactly = 1

[[package.metadata.release.pre-release-replacements]]
file = "CHANGELOG.md"
search = '\[Unreleased\]: '
replace = """
[Unreleased]: https://github.com/BIRSAx2/mdcat/compare/{{tag_name}}...HEAD
[{{version}}]: """
exactly = 1

[lib]
name = "mdcat"
path = "src/lib.rs"

[[bin]]
name = "mdcat"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[dependencies.anyhow]
version = "1.0.89"
features = ["std"]
default-features = false

[dependencies.clap]
version = "4.5.17"
features = [
    "std",
    "derive",
    "help",
    "usage",
    "error-context",
]
default-features = false

[dependencies.clap_complete]
version = "4.5.28"

[dependencies.curl]
version = "0.4.47"

[dependencies.mime]
version = "0.3.17"
default-features = false

[dependencies.pulldown-cmark]
version = "0.12.1"
features = ["simd"]
default-features = false

[dependencies.pulldown-cmark-mdcat]
version = "=2.9.0"
default-features = true

[dependencies.shell-words]
version = "1.1.0"
features = ["std"]
default-features = false

[dependencies.syntect]
version = "5.2.0"
features = [
    "regex-fancy",
    "default-syntaxes",
]
default-features = false

[dependencies.tracing]
version = "0.1.40"
features = ["attributes"]
default-features = false

[dependencies.tracing-subscriber]
version = "0.3.18"
features = [
    "env-filter",
    "std",
    "fmt",
    "ansi",
]
default-features = false

[dependencies.url]
version = "2.5.2"

[dev-dependencies.similar-asserts]
version = "1.6.0"

[target."cfg(windows)".dependencies.anstyle-query]
version = "1.1.0"
default-features = false
